package com.qmth.cqb.paper.service;

import java.util.List;

import com.qmth.cqb.paper.dao.PaperStructRepo;
import com.qmth.cqb.paper.model.PaperStructDetail;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.qmth.cqb.paper.dao.PaperStructDetailRepo;
import com.qmth.cqb.paper.model.PaperStruct;
/**
 * Created by songyue on 16/12/28.
 */
@Service
public class PaperStructDetailService {
	
	@Autowired
    PaperStructDetailRepo detailStructureRepo;

    @Autowired
    PaperStructRepo paperStructRepo;
	
	

    /**
     * 按ID查询试卷结构明细
     * @param detailId
     * @return
     */
    public PaperStructDetail findById(String detailId){
        return detailStructureRepo.findOne(detailId);
    }
    
    

    /**
     * 保存试卷结构明细
     * @param pds
     * @return
     */
    public PaperStructDetail savePaperStructureDetail(PaperStructDetail pds){
    	PaperStructDetail temp = detailStructureRepo.save(pds);
        return temp;
    }

    /**
     * 删除试卷结构明细
     * @param detailId
     * @return
     */
    public void deletePaperDetailStructure(String detailId){
    	detailStructureRepo.delete(detailId);
    }

    /**
     * 查询同一个试卷对象对应试卷结构明细
     * @param paperStruct
     * @return
     */
    public List<PaperStructDetail> getDetailsByPaperStructure(PaperStruct paperStruct){
    	return paperStructRepo.findOne(paperStruct.getId()).getPaperStructDetails();
    }
}
